Bug 1386204

Summary: Mirroring doesn't work
Product: [Fedora] Fedora Reporter: Petr Schindler <pschindl>
Component: mutterAssignee: Florian Müllner <fmuellner>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: fmuellner, kparal, otaylor, rmatos, robatino, walters
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-10-24 10:15:25 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1277927, 1277289    

Description Petr Schindler 2016-10-18 12:07:26 UTC
Description of problem:
On wayland session on the setup with two monitors (laptop and external) the mirroring doesn't work. When I go to the settings and switch to mirroring the external monitor doesn't wake up. This affects for example presentations when you want to show your screen.

This affects just wayland sessions.

Version-Release number of selected component (if applicable):
mutter-3.22.1-2.fc25.x86_64

How reproducible:
always

Steps to Reproduce:
1. Go to Settings->Displays choose one monitor
2. Click on mirroring
3.

Actual results:
external monitor doesn't wake up

Expected results:
mirroring on two monitors

Additional info:
I propose this as a blocker. Possible criterion would be "All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test." As I think that mirroring is basic funtionality of Display setting

Rui Matos probably work on this (at least Jiri Eischmann says so).

Comment 1 Rui Matos 2016-10-24 10:15:25 UTC
Should be fixed in mutter-3.22.1-5.fc25.x86_64, please re-open if it's not.

Comment 2 Kamil Páral 2016-10-25 12:21:39 UTC
I tried it and it seems to work.